Bug 1316136 - ftdi_sio: new icp das i7561u usb-serial converter needs vid/pid entry
ftdi_sio: new icp das i7561u usb-serial converter needs vid/pid entry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-09 08:53 EST by The Source
Modified: 2016-04-02 11:49 EDT (History)
7 users (show)

See Also:
Fixed In Version: kernel-4.4.6-300.fc23 kernel-4.5.0-302.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-01 20:45:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description The Source 2016-03-09 08:53:39 EST
Description of problem:
The i7561u converter works fine with ftdi_sio driver if it's vid/pid is added to id_table_combined array (drivers/usb/serial/ftdi_sio.c: line 142). They are 0x1b5c (vid), 0x0104 (pid). Please add them to the list, no other modifications required (at least I didn't notice anything wrong while testing). I suspect that there are more 756x icp das converters that work just not listed, I don't have them unfortunately.
.
Version-Release number of selected component (if applicable):
kernel-4.4.4-301.fc23.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Josh Boyer 2016-03-09 08:57:48 EST
Can you provide the output of 'lsusb -vv' please?
Comment 2 The Source 2016-03-10 01:39:02 EST
Bus 003 Device 012: ID 1b5c:0104  
Device Descriptor:
  bLength                18
  bDescriptorType         1
  bcdUSB               2.00
  bDeviceClass            0 
  bDeviceSubClass         0 
  bDeviceProtocol         0 
  bMaxPacketSize0         8
  idVendor           0x1b5c 
  idProduct          0x0104 
  bcdDevice           10.00
  iManufacturer           1 ICPDAS
  iProduct                2 I-7561U USB Serial Converter
  iSerial                 3 00YVVA8I
  bNumConfigurations      1
  Configuration Descriptor:
    bLength                 9
    bDescriptorType         2
    wTotalLength           32
    bNumInterfaces          1
    bConfigurationValue     1
    iConfiguration          0 
    bmAttributes         0x80
      (Bus Powered)
    MaxPower              100mA
    Interface Descriptor:
      bLength                 9
      bDescriptorType         4
      bInterfaceNumber        0
      bAlternateSetting       0
      bNumEndpoints           2
      bInterfaceClass       255 Vendor Specific Class
      bInterfaceSubClass    255 Vendor Specific Subclass
      bInterfaceProtocol    255 Vendor Specific Protocol
      iInterface              2 I-7561U USB Serial Converter
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x81  EP 1 IN
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
      Endpoint Descriptor:
        bLength                 7
        bDescriptorType         5
        bEndpointAddress     0x02  EP 2 OUT
        bmAttributes            2
          Transfer Type            Bulk
          Synch Type               None
          Usage Type               Data
        wMaxPacketSize     0x0040  1x 64 bytes
        bInterval               0
can't get device qualifier: Resource temporarily unavailable
can't get debug descriptor: Resource temporarily unavailable
Device Status:     0x0000
  (Bus Powered)
Comment 3 Josh Boyer 2016-03-10 09:02:13 EST
I added a patch that adds support for the devices to the scratch build below.  When it is finished would you please test it and see if the device works out of the box?

http://koji.fedoraproject.org/koji/taskinfo?taskID=13297271
Comment 4 The Source 2016-03-11 04:47:54 EST
Tested, device works fine, no errors or wrong data during read/write operations.
Comment 5 Josh Boyer 2016-03-11 08:15:55 EST
(In reply to The Source from comment #4)
> Tested, device works fine, no errors or wrong data during read/write
> operations.

Thanks for testing.  The patch has been sent upstream and it will be in the next build done in Fedora.
Comment 6 Fedora Update System 2016-03-17 13:51:45 EDT
kernel-4.4.6-300.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-02ed08bf15
Comment 7 Fedora Update System 2016-03-17 13:53:21 EDT
kernel-4.4.6-200.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a57b19360
Comment 8 Fedora Update System 2016-03-18 19:55:22 EDT
kernel-4.4.6-200.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3a57b19360
Comment 9 Fedora Update System 2016-03-18 21:25:09 EDT
kernel-4.4.6-300.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-02ed08bf15
Comment 10 Fedora Update System 2016-03-23 18:25:48 EDT
kernel-4.4.6-300.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2016-03-23 20:01:07 EDT
kernel-4.4.6-200.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-03-31 00:04:52 EDT
kernel-4.5.0-302.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81fd1b03aa
Comment 13 Fedora Update System 2016-04-01 16:55:38 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81fd1b03aa
Comment 14 Fedora Update System 2016-04-01 20:41:18 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2016-04-02 11:49:00 EDT
kernel-4.5.0-302.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.